Skip to main content
`Ctrl`+`K`

# DMSwarmGetCellDMNames

Get the list of cell `DM` names

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetCellDMNames(DM sw, PetscInt *Ndm, const char **celldms[])

Not collective

## Input Parameter

- sw - a `DMSWARM`

## Output Parameters

- Ndm - the number of `DMSwarmCellDM` in the `DMSWARM`

- celldms - the name of each `DMSwarmCellDM`

## See Also

`DM`, `DMSWARM`, `DMSwarmSetCellDM()`, `DMSwarmGetCellDMByName()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages